# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: pyfits
Version: 2.1.1
Release: 1%{?dist}
Summary: Python interface to FITS

Group: Development/Languages
License: BSD

URL: http://www.stsci.edu/resources/software_hardware/pyfits
Source0: http://www.stsci.edu/resources/software_hardware/pyfits/%{name}-%{version}.tar.gz
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: python-devel python-setuptools numpy
Requires: numpy

%description
PyFITS provides an interface to FITS formatted files under the Python 
scripting language. It is useful both for interactive data analysis and for 
writing analysis scripts in Python using FITS files as either input or output. 

%prep
%setup -q
sed -i -e "1d" lib/NP_pyfits.py lib/NA_pyfits.py

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root  %{buildroot}
chmod 755 %{buildroot}%{python_sitearch}/pyfits/pyfitsComp.so

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc lib/LICENSE.txt 
%{python_sitearch}/*

%changelog
* Fri May 22 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 2.1.1-1
- Fixed strange permision of the .so file
- New upstream source with support for "tile image compression".

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3-4
- Rebuild for Python 2.6

* Tue Apr 08 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.3-3
- Adding dist tag

* Sun Apr 06 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.3-2
- Fixing setup not quiet
- Shebang removed from non-script python files

* Wed Mar 26 2008 Sergio Pascual <sergio.pasra@gmail.com> - 1.3-1
- Initial specfile

